# MMDetection

![](https://img.shields.io/badge/python-3.6%2B-green)
![](https://img.shields.io/badge/pytorch-1.7.1%2B-orange)
![](https://img.shields.io/badge/openvino-2021.4-blue)
![](https://img.shields.io/badge/onnxruntime-1.1.2%2B-yellow)


This is an Object Detection and Instance Segmentation toolbox, that is a part of [OpenVINO™ Training Extensions](https://github.com/opencv/openvino_training_extensions).

Project is based on open-mmlab's [MMDetection](https://github.com/open-mmlab/mmdetection).

## Installation

Please refer to [install.md](docs/install.md) for installation and dataset preparation.

## Get Started

Please see [getting_started.md](docs/getting_started.md) for the basic usage. There are also tutorials for [finetuning models](docs/tutorials/finetune.md), [adding new dataset](docs/tutorials/new_dataset.md), [designing data pipeline](docs/tutorials/data_pipeline.md), and [adding new modules](docs/tutorials/new_modules.md).

## Models compression

This project allows making compression of the models by [NNCF](https://github.com/openvinotoolkit/nncf_pytorch) framework.

See details in [nncf_compression.md](docs/nncf_compression.md).

## Model Zoo

Please see [model_zoo.md](docs/model_zoo.md) for the list of pre-trained models.

## Contributing

We appreciate all contributions to improve this project. Please refer to [CONTRIBUTING.md](.github/CONTRIBUTING.md) for the contributing guideline.

## Contact

This repo is currently maintained by Songki Choi ([@goodsong81](https://github.com/goodsong81).
